Subject: rlogin or telnet from Unix to WinXP
From: [email-masked] (Freddy Jensen)
To: [email-masked]
Cc: [email-masked]
Date: Sat, 3 Jun 2006 07:35:14 -0700

This is a question that I am sure many folks have the
answer to, because I can imagine that people do this
all the time. I just have never had the time to get
it set up:

I wan't to be able to rlogin (and rshd) from my Unix
machine to my WinXP machine. I have cygwin installed
on the WinXP machine so I want to rlogin to the home
directory in my cygwin install dir and run a shell
(bourne shell or c-shell). I also want to be able to
run 'rsh' from my unix machine to execute commands
in my cygwin home directory.

But, currently I cannot do that because there are
no rshd, rlogind, or telnet daemons in cygwin. 

I did try to enable the telnet service in 
Control Panel->Administrative Tools->Services
and I added Telnet port 23 to the Windows
Firewall Exception list.

But that just allows me to telnet into the WinXP
machine and get a batch cmd session.

I really want to be able to rsh to the WinXP machine
and have full access to everything in the cygwin
"world" on the machine.

I know that the "Unix Services for Windows" product
from Microsoft has the rsh and rlogind programs, but
someone told me that it will cause problems to have
"Unix Services for Windows" installed together with
cygwin, so I hesitate installing it.

So my question is:

Is there a cygwin package that I can download
and install that will give me what I want?

Help and advise will be appreciated.

Thanks

Freddy

--
Freddy Jensen, Sr. Computer Scientist, Adobe Systems Incorporated
345 Park Avenue, San Jose, CA 95110-2704, USA, Ph: (408) 536-2869
Email: [email-masked], URL: http://www.adobe.com
--

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/